import mongoose, { Document } from 'mongoose';
import { GameKeyBatch } from './game-key-batch.schema';
import { DeliveryStatus } from './types/delivery-status';
import { KeyProvider } from './types/key-provider';
export type GameKeyDocument = GameKey & Document;
export declare class GameKey {
    key: string;
    provider: KeyProvider;
    status: DeliveryStatus;
    reservationDate: Date;
    deliveryDate: Date;
    reservationId: string;
    transactionId: string;
    playfabId: string;
    batch: GameKeyBatch;
}
export declare const GameKeySchema: mongoose.Schema<GameKey, mongoose.Model<GameKey, any, any, any, any>, {}, {}, {}, {}, mongoose.DefaultSchemaOptions, GameKey>;
